summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentnl@gentoo.org>2016-08-03 11:11:29 +1200
committerKent Fredric <kentnl@gentoo.org>2016-08-03 11:13:40 +1200
commit8fea9a70696855a5acfd05df20cc725fc6aff186 (patch)
treeb22d59f95246556b8833cb8ad1e24a61005298d2 /dev-perl/Test-NoWarnings
parentnet-misc/remmina: version bump to 1.2.0_rc14 (diff)
downloadgentoo-8fea9a70696855a5acfd05df20cc725fc6aff186.tar.gz
gentoo-8fea9a70696855a5acfd05df20cc725fc6aff186.tar.bz2
gentoo-8fea9a70696855a5acfd05df20cc725fc6aff186.zip
dev-perl/Test-NoWarnings: Weaken dependency on dev-perl/Test-Tester
Without this fix, Test-NoWarnings effectively needs perl-5.22 stabilized in order to satisfy Test-Tester from Perl-5.22 However, satisfying Test-Tester from a mechanism other than Perl-5.22 confuses portages dependency resolver, and confuses portage to not be able to upgrade perl, and not being able to upgrade perl means perl can't be stabilized, invoking a stabilization-needs-stabilization bug. Hence, the choice here optimises for assuming stabilization will happen/has happened, and removes any dependency on Test::Tester, assuming portage will eventually provide it for you. And just to be sure, we use perl before the test phase executes to determine if Test::Tester was /actually/ installed and then only run tests if it was. This means before stabilization, some people *might* install this and not have tests run, but everyone *will* get tests working after stabilization, as opposed to the opposite occurring and stabilization being blocked. -r bump required as Test-Tester was declared as a Runtime Requirement, even though source analysis indicated it was a Testing Only requirement. Bug: https://bugs.gentoo.org/584238 Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
Diffstat (limited to 'dev-perl/Test-NoWarnings')
-rw-r--r--dev-perl/Test-NoWarnings/Test-NoWarnings-1.40.0-r3.ebuild (renamed from dev-perl/Test-NoWarnings/Test-NoWarnings-1.40.0-r2.ebuild)15
1 files changed, 13 insertions, 2 deletions
diff --git a/dev-perl/Test-NoWarnings/Test-NoWarnings-1.40.0-r2.ebuild b/dev-perl/Test-NoWarnings/Test-NoWarnings-1.40.0-r3.ebuild
index 7b6dc411867..39887b09659 100644
--- a/dev-perl/Test-NoWarnings/Test-NoWarnings-1.40.0-r2.ebuild
+++ b/dev-perl/Test-NoWarnings/Test-NoWarnings-1.40.0-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -15,7 +15,18 @@ LICENSE="LGPL-2.1"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
-RDEPEND="|| ( >=virtual/perl-Test-Simple-1.1.10 >=dev-perl/Test-Tester-0.107 )"
+RDEPEND="virtual/perl-Test-Simple"
DEPEND="${RDEPEND}"
SRC_TEST="do"
+
+src_test() {
+ # Bug 584238 Avoidance
+ if perl -e 'exit ( eval { require Test::Tester; 1 } ? 0 : 1 )'; then
+ perl-module_src_test
+ else
+ einfo "Test phase skipped: Test::Tester required for tests"
+ einfo "Please upgrade to >=dev-lang/perl-5.22.0 or >=virtual/perl-Test-Simple-1.1.10"
+ einfo "if you want this tested"
+ fi
+}